GDB (xrefs)

Classes | Public Member Functions | Public Attributes | List of all members
mapped_index Struct Referencefinal
Inheritance diagram for mapped_index:

## Classes
struct | symbol_table_slot

## Public Member Functions
bool | symbol_name_slot_invalid (offset_type idx) const override
const char * | symbol_name_at (offset_type idx) const override
size_t | symbol_name_count () const override
Public Member Functions inherited from mapped_index_base
void | build_name_components ()
std::pair< std::vector< name_component >::const_iterator, std::vector< name_component >::const_iterator > | find_name_components_bounds (const lookup_name_info &ln_no_params) const

## Public Attributes
int | version
off_t | total_size
gdb::array_view< const gdb_byte > | address_table
gdb::array_view< symbol_table_slot > | symbol_table
const char * | constant_pool
Public Attributes inherited from mapped_index_base
std::vector< name_component > | name_components
enum case_sensitivity | name_components_casing

## Additional Inherited Members
Protected Member Functions inherited from mapped_index_base
| ~mapped_index_base ()=default

## Detailed Description

Definition at line 280 of file dwarf2read.c.

## Member Function Documentation

## ◆ symbol_name_at()

const char* mapped_index::symbol_name_at | ( | offset_type | idx | ) | const
| inline override virtual

Implements mapped_index_base.

Definition at line 312 of file dwarf2read.c.

References MAYBE_SWAP, and name.

## ◆ symbol_name_count()

size_t mapped_index::symbol_name_count | ( |  | ) | const
| inline override virtual

Implements mapped_index_base.

Definition at line 315 of file dwarf2read.c.

References gdb::array_view< T >::size().

## ◆ symbol_name_slot_invalid()

bool mapped_index::symbol_name_slot_invalid | ( | offset_type | idx | ) | const
| inline override virtual

Reimplemented from mapped_index_base.

Definition at line 304 of file dwarf2read.c.

## Member Data Documentation

## ◆ address_table

gdb::array_view<const gdb_byte> mapped_index::address_table

Definition at line 296 of file dwarf2read.c.

Referenced by create_addrmap_from_index(), and read_index_from_section().

## ◆ constant_pool

const char* mapped_index::constant_pool

Definition at line 302 of file dwarf2read.c.

Referenced by dw2_expand_marked_cus(), find_slot_in_mapped_hash(), and read_index_from_section().

## ◆ symbol_table

gdb::array_view<symbol_table_slot> mapped_index::symbol_table

Definition at line 299 of file dwarf2read.c.

Referenced by dw2_expand_marked_cus(), dwarf2_read_index(), find_slot_in_mapped_hash(), and read_index_from_section().

## ◆ total_size

off_t mapped_index::total_size

Definition at line 293 of file dwarf2read.c.

Referenced by read_index_from_section().

## ◆ version

int mapped_index::version

Definition at line 290 of file dwarf2read.c.

Referenced by dw2_do_instantiate_symtab(), dw2_dump(), dw2_expand_marked_cus(), dw2_symtab_iter_next(), find_slot_in_mapped_hash(), follow_die_sig_1(), and read_index_from_section().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c